ModernLoop Internal API
Apigithub

Get the raw diff of a pull request

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/github/repos/string/string/pulls/{number}/diff" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "diff": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

owner*string

Repository owner (user or organization)

repo*string

Repository name

number?|

Pull request number

Response Body

application/json

application/json

application/json

application/json

application/json